Lists remediations.
HTTP request
GET https://foodorderingaiagent.googleapis.com/v1/{parent=projects/*/locations/*/brands/*}/remediations
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent brand containing the remediations. Format: projects/{project}/locations/{location}/brands/{brand} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of remediations to return. The service may return fewer than this value. If unspecified, at most 50 remediations will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token received from a previous |
filter |
Optional. Useful for the UI to filter by State (e.g., state="ACTIVE"). |
Request body
The request body must be empty.
Response body
Response message for MenuService.ListRemediations.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"remediations": [
{
object ( |
| Fields | |
|---|---|
remediations[] |
The list of retrieved remediations. |
nextPageToken |
A token that can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.